curl -X PATCH "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes/e5f6a7b8-c9d0-1234-efab-345678901234" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"position": {"x": 300, "y": 150}, "data": {"label": "Updated Agent"}}'
{
"object": "node",
"data": {
"id": "e5f6a7b8-c9d0-1234-efab-345678901234",
"node_type": "chatNode",
"position_x": 300,
"position_y": 150,
"node_data": { "label": "Updated Agent" },
"parent_node_id": null,
"created_at": "2026-03-15T10:31:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z"
}
}
Updates a node’s type, position, or data.
curl -X PATCH "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes/e5f6a7b8-c9d0-1234-efab-345678901234" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"position": {"x": 300, "y": 150}, "data": {"label": "Updated Agent"}}'
{
"object": "node",
"data": {
"id": "e5f6a7b8-c9d0-1234-efab-345678901234",
"node_type": "chatNode",
"position_x": 300,
"position_y": 150,
"node_data": { "label": "Updated Agent" },
"parent_node_id": null,
"created_at": "2026-03-15T10:31:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z"
}
}
x (number) - X positiony (number) - Y positionnode_data.curl -X PATCH "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes/e5f6a7b8-c9d0-1234-efab-345678901234" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"position": {"x": 300, "y": 150}, "data": {"label": "Updated Agent"}}'
{
"object": "node",
"data": {
"id": "e5f6a7b8-c9d0-1234-efab-345678901234",
"node_type": "chatNode",
"position_x": 300,
"position_y": 150,
"node_data": { "label": "Updated Agent" },
"parent_node_id": null,
"created_at": "2026-03-15T10:31:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z"
}
}